Bug 11364 - Label layout types and text justification types are not translatable
Summary: Label layout types and text justification types are not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-10 10:00 UTC by paxed
Modified: 2015-12-03 22:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Allow translating the label layout and text justification types (3.94 KB, patch)
2014-05-06 08:37 UTC, paxed
Details | Diff | Splinter Review
[Follow-up] Bug 11364 - Label layout types and text justification types are not translatable (1.27 KB, patch)
2015-03-06 17:25 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11364: Label layout types and text justification types are not translatable (3.99 KB, patch)
2015-03-11 07:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11364 - Label layout types and text justification types are not translatable (1.31 KB, patch)
2015-03-11 07:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11364: Label layout types and text justification types are not translatable (4.05 KB, patch)
2015-03-11 14:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2013-12-10 10:00:51 UTC
Tools > Labels home > Manage label layouts > Create Label layout has two untranslatable pull-downs, a layout type one, and text justification one. The texts for those pull-downs comes from C4/Creators/Lib.pm
Comment 1 paxed 2014-05-06 08:37:48 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2014-05-17 01:51:10 UTC
Patch is Ok, but think that old legends must be removed,
from C4/Creators/Lib.pm  around line 129.
Comment 3 Marc Véron 2015-03-06 17:25:19 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2015-03-11 07:08:08 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2015-03-11 07:08:47 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-03-11 14:00:16 UTC
Comment on attachment 36789 [details] [review]
Bug 11364 - Label layout types and text justification types are not translatable

Review of attachment 36789 [details] [review]:
-----------------------------------------------------------------

::: C4/Creators/Lib.pm
@@ -124,4 @@
>      {type => 'HBO',     name => 'Helvetica-Bold-Oblique',       selected => 0},
>  ];
>  
> -my $text_justification_types = [

This variable is still used.
However, the name keys could be removed.
Comment 7 Jonathan Druart 2015-03-11 14:01:05 UTC
Created attachment 36793 [details] [review]
Bug 11364: Label layout types and text justification types are not translatable

To test:

1) cd misc/translator
2) perl translate update xx-YY
3) check that there's no msgids that contain the layout types or
   text justification types in po/xx-YY-i-staff-t-prog-v-3006000.po
4) apply patch
5) perl translate update xx-YY
6) check po/xx-YY-i-staff-t-prog-v-3006000.po that it contains the
   msgid for the frequencies. (search for "BLOCK translate_label_types"
   and "BLOCK translate_justification_types")

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2015-03-11 17:40:59 UTC
Patch pushed to master.

Thanks Pasi!
Comment 9 Chris Cormack 2015-03-13 22:37:22 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 10 Mason James 2015-03-27 01:39:43 UTC
Pushed to 3.16.x, will be in 3.16.9